<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
session_start();
/*if(!isset($_SESSION['logon_admin'])) {
  header('location:index.php');
  exit;
} */

$botao 		= $_POST['botao'];

if ($botao == "")
{
	$botao 		= $_GET['botao'];
}

if ($botao == 'alterar senha')
{
	$_SESSION['logon_admin'] = "setSenha";
}
if ($botao == 'alterar CRAS')
{
	$_SESSION['logon_admin'] = "setCras";
}

if ($botao == 'efetuar backup')
{
	$_SESSION['logon_admin'] = "setBackup";
}

if ($botao == 'restaurar backup')
{
	$_SESSION['logon_admin'] = "setRestore";
}

if ($botao == 'menu principal')
{
	//unset($_SESSION['logon_admin']);
        if ($_SESSION['tipo_perfil']=="C")
	{
		header('location:main.php');
        }
        else
        {
		header('location:main2.php');
        }
  	exit;
}
if ($botao == 'gerenciar usuários')
{
	$_SESSION['logon_admin'] = "admin_gerencia";
}

//carrega arquivo de conexão
include "includes/begin.php";

//recebe mensagem de erro
$msn=$_GET["msn"];

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>CRAS - CENTRO DE REFER�NCIA DA ASSIST�NCIA SOCIAL</title>
<link href="stylo.css" rel="stylesheet" type="text/css" />
</head>

<script language="javascript">
function ValidaUsuario()
{
    var usuario = document.getElementById('form_usuario');
    var senha = document.getElementById('form_nSenha');

    if (usuario.value == '')
    {
        alert('Preencha o usuario');
        return false;
    }
    
    if (senha.value == '')
    {
        alert('Preencha a senha');
        return false;
    }
     
    return true;
}


  function Valida()
  {
         var usuario = document.getElementById('form_usuario');

    	if (usuario.value == '')
	{
        	alert('Preencha o usuario');
	        return false;
	}

  	if ( (document.getElementsByName('form_perfil')[1].checked ) && (document.getElementById('form_cras').value == ""))
        {
                alert("Selecione um CRAS");
        	return false;
        }

        var senha = document.getElementById('form_nSenha');
        var nova_senha = document.getElementById('form_cnSenha');

	if (senha.value == '')
	{
	        alert('Preencha a senha');
	        return false;
	}

        if (nova_senha.value == '')
	{
	        alert('Confirme a senha');
	        return false;
	}

        if (nova_senha.value != senha.value)
	{
	        alert('Senhas não conferem');
	        return false;
	}

        return true;



  }

   function ValidaAlteraUsuario()
  {
         var usuario = document.getElementById('form_usuario');

    	if (usuario.value == '')
	{
        	alert('Preencha o usuario');
	        return false;
	}

  	if ( (document.getElementsByName('form_perfil')[1].checked ) && (document.getElementById('form_cras').value == ""))
        {
                alert("Selecione um CRAS");
        	return false;
        }

        var senha = document.getElementById('form_nSenha');
        var nova_senha = document.getElementById('form_cnSenha');

	if (senha.value != '')
	{
                if (nova_senha.value == '')
		{
		        alert('Confirme a senha');
		        return false;
		}

	        if (nova_senha.value != senha.value)
		{
		        alert('Senhas não conferem');
		        return false;
		}
	}

        return true;



  }

  function habilitaOpcoes(op)
  {
  	if (op == "C")
        {
         	document.getElementsByName('form_criausuario')[0].disabled = true;
                document.getElementsByName('form_criausuario')[1].disabled = true;
                document.getElementsByName('form_criausuario')[1].checked = true;

                document.getElementsByName('form_conferencia')[0].disabled = true;
                document.getElementsByName('form_conferencia')[1].disabled = true;
                document.getElementsByName('form_conferencia')[1].checked = true;

                document.getElementById('form_cras').disabled = false;
        }
        else
        {
                document.getElementsByName('form_criausuario')[0].disabled = false;
                document.getElementsByName('form_criausuario')[1].disabled = false;
                //document.getElementsByName('form_criausuario')[0].checked = true;

                document.getElementsByName('form_conferencia')[0].disabled = false;
                document.getElementsByName('form_conferencia')[1].disabled = false;
                //document.getElementsByName('form_conferencia')[0].checked = true;

                document.getElementById('form_cras').disabled = true;
                document.getElementById('form_cras').value = "";
        }
        return;

  }

</script>


<body topmargin="0" leftmargin="0" >

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td bgcolor="#E77817" height="5"></td>
  </tr>
  <tr>
    <td bgcolor="#003366" height="5"></td>
  </tr>
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#003366">
      <tr>
        <td width="31%"><img src="images/logo_NI.jpg" width="356" height="73" /></td>
        <td width="69%"><div align="center"><img src="images/t_matricula.jpg" width="370" height="58" /></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td bgcolor="#003366" height="5"></td>
  </tr>
  <tr>
    <td bgcolor="#E77817" height="5"></td>
  </tr>
  <tr>
    <td>
	<?
		// Verifica se CRAS já cadastrada
		$sql2="select numerocras from logon where usuario = 'admin'";
		$result2=pg_query($dbh, $sql2);
		
		if (!$result2) {
		   //die("Erro na selecao do usuario" . pg_last_error());
		   header('location:index.php?msn=3');
		}			
		

		?>
    <div align="right"><form action="gerencia.php" method="post" enctype="application/x-www-form-urlencoded" name="New_Form" id="New_Form">
      <label>
      <?if ($_SESSION['cria_usuario'] == "S"){ ?>
      <input name="botao" type="submit" class="botao2" id="botao" value="gerenciar usuários" />
      <?}?>
      </label>
      <label>
      <input name="botao" type="submit" class="botao2" id="botao" value="alterar senha" />
      </label>
      <label>
      <!--<input name="botao" type="submit" class="botao2" id="botao" value="alterar CRAS" />-->
      </label>
      <label>
      <?if ($_SESSION['tipo_perfil'] == "A"){ ?>
      <!--<input name="botao" type="submit" class="botao2" id="botao" value="efetuar backup" />-->
      <?}?>
      </label>
      	<?
		// Verifica se pode fazer um Restore do banco
		$sql2="select count(*) as qt from usuario ";
		$result2=pg_query($dbh, $sql2);

                $row_aux = pg_fetch_array($result2);
                if (($row_aux['qt'] == 0) && ($_SESSION['tipo_perfil'] == "A"))
                {
	?>
      <label>
      <input name="botao" type="submit" class="botao2" id="botao" value="restaurar backup" />
      </label>
      <?
           }
      ?>
      <label>
      <input name="botao" type="submit" class="botao2" id="botao" value="menu principal" />
      </label>

    </form></div>   </td>
  </tr>
  <tr>
    <td class="titulos2"><div align="center">
      <p>Sistema de Administração</p>
    </div></td>
  </tr>
  <?	
	if(($_SESSION['logon_admin']=='admin_setSenha')||($_SESSION['logon_admin']=='setSenha'))
	//if(trim($row['senha'])=='admin')
	{		
  ?>  
  <tr>
    <td><form action="rotinaGerencia.php" method="post" enctype="application/x-www-form-urlencoded" name="New_Form" id="New_Form">
        <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td><div align="center" class="tituloFundo">Alterar Senha</div></td>
          </tr>
          <tr>
            <td bgcolor="#EFEFEF"><div align="center" class="endereco"><strong>
                <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '6':
				  echo "senha alterada com sucesso!";
				  break;
				case '7':
				  echo "erro ao atualizar CRAS!";
				  break;
				case '8':
				  echo "CRAS alterada com sucesso!";
				  break;
				case '9':
				  echo "usuario já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário cadastrado com sucesso!";
				  break;
				}
			?>
              &nbsp;</strong></div></td>
          </tr>
          <tr>
            <td bgcolor="#EFEFEF"><table width="418" border="0" align="center" cellpadding="0" cellspacing="0">

                <tr>
                  <td><div align="right"><strong>senha atual:</strong></div></td>
                  <td colspan="2">&nbsp;
                  <input name="form_atualSenha" type="password" class="campos" id="form_atualSenha" tabindex="1"/></td>
                </tr>

                <tr>
                  <td width="149"><div align="right"><strong>nova senha:</strong></div></td>
                  <td colspan="2">
                    &nbsp;
                  <input name="form_nSenha" type="password" class="campos" id="form_nSenha" tabindex="2"/>                  </td>
                </tr>
                <tr>
                  <td><div align="right"><strong>confirma nova senha:</strong></div></td>
                  <td width="144">&nbsp;
                  <input name="form_cnSenha" type="password" class="campos" id="form_cnSenha" tabindex="3"/></td>
                  <td width="125"><input name="botao" type="submit" class="botao" tabindex="4" value="enviar senha" /></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td bgcolor="#EFEFEF">&nbsp;</td>
          </tr>
          <tr>
            <td bgcolor="#E77817" height="10"></td>
          </tr>
        </table>
    </form></td>
  </tr>

  <?
  }
  else
  if ($_SESSION['logon_admin']=='setCras')
  {
  ?>

  <tr>
    <td><form name="New_Form" action="rotinaGerencia.php" method="POST" enctype="application/x-www-form-urlencoded">
      <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="tituloFundo">Edi&ccedil;&atilde;o de Usu&aacute;rio</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		    <div align="center" class="endereco"><strong>
		      <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '7':
				  echo "erro ao atualizar dados!";
				  break;
				case '8':
				  echo "usuário alterado com sucesso!";
				  break;
				case '9':
				  echo "usuario já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário cadastrado com sucesso!";
				  break;
				}
			?>
	        &nbsp;</strong></div></td>
        </tr>

       <tr>
          <td bgcolor="#EFEFEF"><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">

           <?
			// seleciona as cras
			$sql="select * from logon where usuario = '" . $_GET["usuario"] . "'";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			}

                        $row = pg_fetch_array($result);

                ?>

              <tr>
                <td><div align="right"><strong>Usu&aacute;rio:</strong></div></td>
                <td align="left">&nbsp;
                <input name="form_usuario_old" type="hidden" class="campos2" id="form_usuario_old" value="<? echo $row["usuario"];?>"/>

                  <input name="form_usuario" type="text" class="campos2" id="form_usuario" value="<? echo $row["usuario"];?>" tabindex="1"/></td>
                <td>&nbsp;</td>
              </tr>

              <tr>
                <td><div align="right"><strong>Perfil:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_perfil" type="radio" value="A" class="campos2" id="form_perfil" <? if ($row["tipo_perfil"] == "A") echo " checked"; ?> onclick="habilitaOpcoes(this.value);" />Administrador
                  <input name="form_perfil" type="radio" value="C" class="campos2" id="form_perfil" <? if ($row["tipo_perfil"] == "C") echo " checked"; ?> onclick="habilitaOpcoes(this.value);"/>Comum</td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>Cria Usu&aacute;rios:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_criausuario" type="radio" value="S" class="campos2" id="form_criausuario" <? if ($row["cria_usuario"] == "S") echo " checked"; ?> />Sim
                  <input name="form_criausuario" type="radio" value="N" class="campos2" id="form_criausuario" <? if ($row["cria_usuario"] == "N") echo " checked"; ?> />Não</td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>Confer&ecirc;ncia/Estat&iacute;sticas:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_conferencia" type="radio" value="S" class="campos2" id="form_conferencia" <? if ($row["conferencia_estatisticas"] == "S") echo " checked"; ?> />Sim
                  <input name="form_conferencia" type="radio" value="N" class="campos2" id="form_conferencia" <? if ($row["conferencia_estatisticas"] == "N") echo " checked"; ?>/>Não</td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>CRAS:</strong></div></td>
                <td align="left">&nbsp;
                  <select name="form_cras" id="form_cras" class="campos2">
                  <option value=""></option>
                  <?
			// seleciona as cras
			$sql="select * from cras order by nomefantasiacras";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			}

                         while($row2 = pg_fetch_array($result))
			{
                ?>
                	<option value="<?echo $row2["numerocras"]?>" <? if (trim($row["numerocras"]) == trim($row2["numerocras"])) echo " selected"; ?> ><?echo $row2["nomefantasiacras"]?></option>
                <?      } ?>
                  </select>
                  </td>
                <td>&nbsp;</td>
              </tr>
               <tr>
                <td colspan="2"><div align="center"><strong><i>Para alterar a senha atual do usu&aacute;rio, preencha os campos abaixo:</i></strong></div></td>
              </tr>
              <tr>
                <td><div align="right"><strong>Senha:</strong></div></td>
                <td>&nbsp;
                  <input name="form_nSenha" type="password" class="campos2"  value="" id="form_nSenha" tabindex="2"/></td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td width="135"><div align="right"><strong>Confirmar senha:</strong></div></td>
                <td width="150">&nbsp;
                  <input name="form_cnSenha" type="password" class="campos2" value="" id="form_cnSenha" tabindex="3"/></td>
                <td width="133"><div align="center">
                  <input name="botao" type="submit" class="botao2" tabindex="4" value="enviar" id="botao" onclick="return ValidaAlteraUsuario();"/>
                  <!--<input name="botaovoltar" type="submit" class="botao2" tabindex="4" value="voltar" id="botaovoltar" onclick="history.back(-1);"/>-->
                </div></td>
              </tr>



          </table>            </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#E77817" height="10"></td>
        </tr>
      </table>
        </form>
         <script language="javascript">
              habilitaOpcoes("<? echo $row["tipo_perfil"];?>");
         </script>
            </td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <?
  }
  else
  if($_SESSION['logon_admin']=='setBackup')
  {
  	echo '<tr><td><div align="center" class="endereco">';
	$command = '.\backup_semaspv.bat ' . str_replace(' ','_',$row3['nomefantasiacras']);
	passthru($command, $retval);

	// Printing additional info
        if  ($retval == '0')
        {
        	echo '<br><br><b>Backup realizado com sucesso! </b></div></td></tr>';
        }
        else
        {
        	echo '<br><br><b>Ocorreu um erro ao gerar o Backup! C�d. de Retorno: ' . $retval . '</b></div></td></tr>';
        }


  }
  else
  if ($_SESSION['logon_admin']=='setRestore')
  {
  ?>

  <tr>
    <td><form name="New_Form" action="gerencia.php?msn=1" method="POST" enctype="multipart/form-data">
      <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="tituloFundo">Restaurar Banco de Dados</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		    <div align="center" class="endereco"><strong>
		      <?

                      switch ($msn)
				{
				case '1':

                                 //atualiza o ADMIN para um nome temporario - para n�o dar erro ao restaurar Backup com comandos COPY
                                 $sql_exec="UPDATE logon SET usuario = 'admin_tmp123' WHERE usuario = 'admin'";
		 		 pg_query($dbh, $sql_exec);

                                  $command = '.\restore_semaspv.bat "' . $_FILES['arqBkp']['tmp_name'] . '"';
			  	  passthru($command, $retval);

				  echo "<br>Restore Executado. Retorno: " . $retval;
                                  echo "<br>Arquivo Processado: " . $_FILES['arqBkp']['name'];

                                  error_reporting(0);
                                  
                                  //atualiza de volta o ADMIN - se der erro ent�o pode apagar por pegou o antigo usuario ADMIN do backup
                                 $sql_exec="UPDATE logon SET usuario = 'admin' WHERE usuario = 'admin_tmp123' ";
		 		 $result_exec = pg_query($dbh, $sql_exec);

                                 //se seu erro
                                 if(!$result_exec)
                                 {
                                   pg_query($dbh, "delete from logon where usuario = 'admin_tmp123' ");
                                 }

				  break;

				}
			?>
	        &nbsp;</strong></div></td>
        </tr>

        <tr>
          <td bgcolor="#EFEFEF"><table width="418" border="0" align="center" cellpadding="0" cellspacing="0">

              <tr>
                <td width="55"><strong>Arquivo:</strong></td>
                <td width="310">
                <input type="file" name="arqBkp" id="arqBkp">
                </td>
                <td width="53"><input name="botao" type="submit" class="botao" tabindex="4" value="enviar" id="botao" /></td>
              </tr>
          </table>            </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#E77817" height="10"></td>
        </tr>
      </table>
        </form>    </td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <?
  }
  else
  if($_SESSION['logon_admin']=='admin_gerencia')
  //if(trim($row['numerocras'])=='')
  {
  ?>



  <tr>
    <td><form name="New_Form" action="rotinaGerencia.php" method="POST" enctype="application/x-www-form-urlencoded" onsubmit="return ValidaUsuario();">
      <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="titulos3">Cadastrar Usuários</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		    <div align="center" class="endereco"><strong>
		      <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '6':
				  echo "senha alterada com sucesso!";
				  break;
				case '7':
				  echo "erro ao atualizar CRAS!";
				  break;
                                case '8':
				  echo "usu&aacute;rio alterado com sucesso!";
				  break;
				
				case '9':
				  echo "usuario já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário cadastrado com sucesso!";
				  break;
				}
			?>
	        &nbsp;</strong></div></td>
        </tr>

        <tr>
          <td bgcolor="#EFEFEF"><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td><div align="right"><strong>Usu&aacute;rio:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_usuario" type="text" class="campos2" id="form_usuario" tabindex="1"/></td>
                <td>&nbsp;</td>
              </tr>

              <tr>
                <td><div align="right"><strong>Perfil:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_perfil" type="radio" value="A" class="campos2" id="form_perfil" checked onclick="habilitaOpcoes(this.value);" />Administrador
                  <input name="form_perfil" type="radio" value="C" class="campos2" id="form_perfil" onclick="habilitaOpcoes(this.value);"/>Comum</td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>Cria Usu&aacute;rios:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_criausuario" type="radio" value="S" class="campos2" id="form_criausuario" checked />Sim
                  <input name="form_criausuario" type="radio" value="N" class="campos2" id="form_criausuario" />Não</td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>Confer&ecirc;ncia/Estat&iacute;sticas:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_conferencia" type="radio" value="S" class="campos2" id="form_conferencia" checked />Sim
                  <input name="form_conferencia" type="radio" value="N" class="campos2" id="form_conferencia" />Não</td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>CRAS:</strong></div></td>
                <td align="left">&nbsp;
                  <select name="form_cras" id="form_cras" class="campos2" disabled="true">
                  <option value=""></option>
                  <?
			// seleciona as cras
			$sql="select * from cras order by nomefantasiacras";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			}

                         while($row = pg_fetch_array($result))
			{
                ?>
                	<option value="<?echo $row["numerocras"]?>"><?echo $row["nomefantasiacras"]?></option>
                <?      } ?>
                  </select>
                  </td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>Senha:</strong></div></td>
                <td>&nbsp;
                  <input name="form_nSenha" type="password" class="campos2" id="form_nSenha" tabindex="2"/></td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td width="135"><div align="right"><strong>Confirmar senha:</strong></div></td>
                <td width="150">&nbsp;
                  <input name="form_cnSenha" type="password" class="campos2" id="form_cnSenha" tabindex="3"/></td>
                <td width="133"><div align="center">
                  <input name="botao" type="submit" class="botao2" tabindex="4" value="cadastrar" id="botao" onclick="return Valida();"/>
                </div></td>
              </tr>
          </table>            </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#003366" height="10"></td>
        </tr>
      </table>
        </form>    </td>
  </tr>
  <tr>
    <td><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="2" height="10"></td>
        </tr>
      <tr>
        <td width="20%" class="titulos3"><div align="center">Usuário</div></td>
        <td class="titulos3"><div align="center">Perfil</div></td>
        <td class="titulos3"><div align="center">Cria Usuário</div></td>
        <td class="titulos3"><div align="center">Conf. Estat&iacute;sticas</div></td>
        <td class="titulos3"><div align="center">Criado por</div></td>
        <td class="titulos3"><div align="center">Data</div></td>
        <td class="titulos3"><div align="center">Ação</div></td>
      </tr>
        <?
      		// seleciona os usuarios
			$sql="select * from logon where usuario not in ('admin') order by usuario";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			}

		    while($row = pg_fetch_array($result))
		    {
		?>
      <tr>
        <td><a href="?botao=alterar CRAS&usuario=<? echo $row['usuario'];?>" class="botao"><? echo $row['usuario'];?></a></td>
        <td align="center"><? echo $row['tipo_perfil'];?></td>
        <td align="center"><? echo $row['cria_usuario'];?></td>
        <td align="center"><? echo $row['conferencia_estatisticas'];?></td>
        <td align="center"><? echo $row['usuario_administrador'];?></td>
        <td align="center"><? echo date('d/m/Y', strtotime($row["data_criacao_usuario"]));?></td>
        <td><div align="center"><a href="rotinaGerencia.php?acao=remover&idUser=<? echo $row['usuario'];?>"><img src="images/excluir.gif" width="14" height="17" border="0" /></a></div></td>
      </tr>
      <? }?>
      <tr>
        <td height="10" colspan="7" class="titulos3"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <?

  }

  ?>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
</body>
</html>
<?
//carrega arquivo para finalizar conexão
include "includes/end.php";
?>
